FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

I am looking for an LTO tape library. Do you have one to spare?
Port details
no-acroread8 8.1.7_5 print on this many watch lists=0 search for ports that depend on this port
Restricted RESTRICTED: Must fill out redistribution form at http://www.adobe.com/products/acrobat/distribute.html
Adobe Reader for view, print, and search PDF documents (NOR)
Maintained by: hrs@FreeBSD.org search for ports maintained by this maintainer
Port Added: 04 Jan 2008 20:23:28
Also Listed In: linux
License: Adobe_WWEULA_20080204_1313


Adobe Reader is free software that allows everyone from business
professionals to home users to easily and reliably view, print,
and search PDF files using a variety of platforms and devices.

WWW: http://www.adobe.com/products/acrobat/readermain.html
SVNWeb : Main Web Site : Distfiles Availability : PortsMon
Master port: print/acroread8

NOTE: FreshPorts displays only required dependencies information. Optional dependencies are not covered.

Required To Run:
  1. print/acroreadwrapper
  2. emulators/linux_base-f10
  3. accessibility/linux-f10-atk
  4. graphics/linux-f10-cairo
  5. print/linux-f10-cups-libs
  6. textproc/linux-f10-expat
  7. x11-fonts/linux-f10-fontconfig
  8. security/linux-f10-gnutls
  9. x11-toolkits/linux-f10-gtk2
  10. graphics/linux-f10-jpeg
  11. security/linux-f10-libgcrypt
  12. security/linux-f10-libgpg-error
  13. security/linux-f10-libtasn1
  14. x11-toolkits/linux-f10-pango
  15. graphics/linux-f10-png
  16. graphics/linux-f10-tiff
  17. x11/linux-f10-xorg-libs
There are no ports dependent upon this port

To install the port: cd /usr/ports/print/no-acroread8/ && make install clean

A package is not available for ports marked as: Forbidden / Broken / Ignore / Restricted


Configuration Options
     No options to configure

Master Sites:
  1. ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/8.1.7/nor/
  2. http://ardownload.adobe.com/pub/adobe/reader/unix/8.x/8.1.7/nor/
  3. http://distcache.FreeBSD.org/ports-distfiles/acroread/
Port Moves
  • port moved here from print/no-acroread on 2008-09-06
    REASON: Removed because of security vulnerability

Number of commits found: 13

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
08 May 2014 23:41:22
Original commit files touched by this commit  8.1.7_4
Revision:353368
bapt search for other commits by this committer
Support stage
20 Sep 2013 22:44:00
Original commit files touched by this commit  8.1.7_4
Revision:327765
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
print)
03 Jul 2011 06:14:57
Original commit files touched by this commit  8.1.7_3
miwi search for other commits by this committer
- Kick MD5 Support
28 Oct 2010 21:00:21
Original commit files touched by this commit  8.1.7_2
erwin search for other commits by this committer
Deprecate md5 in favour of sha256 checksums.  md5 checksums will no longer
be generated or checked, and will be silently ignored for now.  Also,
generalize the MD5_FILE macro to DISTINFO_FILO.

PR:             149657
Submitted by:   rene
Approved by:    portmgr
Tested on:      pointyhat i386 7-exp
16 Aug 2010 02:42:56
Original commit files touched by this commit  8.1.7_2
hrs search for other commits by this committer
Update distinfo.  The distfiles have been re-rolled for some reason.

Reported by:    pav
14 Oct 2009 16:23:58
Original commit files touched by this commit  8.1.7
hrs search for other commits by this committer
Update to 8.1.7.  Multiple vulnerabilities which could cause the
application to crash and could potentially allow an attacker to
take control of the affected system have been fixed.

Security:       CVE-2007-0048
Security:       CVE-2007-0045
Security:       CVE-2009-2564
Security:       CVE-2009-2979
Security:       CVE-2009-2980
Security:       CVE-2009-2981
Security:       CVE-2009-2982
Security:       CVE-2009-2983
Security:       CVE-2009-2985
Security:       CVE-2009-2986
Security:       CVE-2009-2987
(Only the first 15 lines of the commit message are shown above View all of this commit message)
17 Jun 2009 16:56:15
Original commit files touched by this commit  8.1.6
hrs search for other commits by this committer
Update to 8.1.6 and 9.1.2.

Critical vulnerabilities have been identified in Adobe Reader
9.1.1 and Acrobat 9.1.1 and earlier versions. These
vulnerabilities would cause the application to crash and could
potentially allow an attacker to take control of the affected
system.

Security:       http://www.adobe.com/support/security/bulletins/apsb09-07.html
Security:       CVE-2009-0198
Security:       CVE-2009-0509
Security:       CVE-2009-0510
Security:       CVE-2009-0511
Security:       CVE-2009-0512
Security:       CVE-2009-0888
Security:       CVE-2009-0889
Security:       CVE-2009-1855
Security:       CVE-2009-1856
Security:       CVE-2009-1857
Security:       CVE-2009-1858
Security:       CVE-2009-1859
Security:       CVE-2009-1861
13 May 2009 08:19:25
Original commit files touched by this commit  8.1.5
hrs search for other commits by this committer
Update to 8.1.5.  Two critical vulnerabilities have been fixed:

- CVE-2009-1492

 The getAnnots Doc method in the JavaScript API in Adobe Reader
 and Acrobat 9.1, 8.1.4, 7.1.1, and earlier allows remote
 attackers to cause a denial of service (memory corruption) or
 execute arbitrary code via a PDF file that contains an
 annotation, and has an OpenAction entry with JavaScript code
 that calls this method with crafted integer arguments.

- CVE-2009-1493

 The customDictionaryOpen spell method in the JavaScript API in
 Adobe Reader 8.1.4 and 9.1 on Linux allows remote attackers to
 cause a denial of service (memory corruption) or execute
 arbitrary code via a PDF file that triggers a call to this
 method with a long string in the second argument.

Security:       CVE-2009-1492
Security:       CVE-2009-1493
Security:       http://www.adobe.com/support/security/bulletins/apsb09-06.html
28 Mar 2009 16:01:34
Original commit files touched by this commit  8.1.4
hrs search for other commits by this committer
Update to 8.1.4.  This version includes serious security fixes.

Security:       APSB09-04
Security:       APSB09-03
Security:       CVE-2009-0193
Security:       CVE-2009-0658
Security:       CVE-2009-0927
Security:       CVE-2009-0928
Security:       CVE-2009-1061
Security:       CVE-2009-1062
Security:       http://www.adobe.com/support/security/bulletins/apsb09-04.html
PR:             ports/133039
07 Nov 2008 18:00:32
Original commit files touched by this commit  8.1.3
hrs search for other commits by this committer
Update to Adobe Reader 8.1.3.

Release note:
   http://kb.adobe.com/selfservice/viewContent.do?externalId=kb407016&sliceId=1

Security vulnerabilities report:
   http://www.adobe.com/support/security/bulletins/apsb08-19.html

Security: CVE-2008-2992
Security: CVE-2008-2549
Security: CVE-2008-4812
Security: CVE-2008-4813
Security: CVE-2008-4817
Security: CVE-2008-4816
Security: CVE-2008-4814
Security: CVE-2008-4815
20 Jul 2008 17:17:07
Original commit files touched by this commit  8.1.2_1
hrs search for other commits by this committer
Update to 8.1.2 Security Update 1.  Quoted from the advisory:

 | A critical vulnerability has been identified in Adobe Reader and
 | Acrobat 8.1.2. This vulnerability would cause the application to
 | crash and could potentially allow an attacker to take control of
 | the affected system.

Security:       CVE-2008-2641
Security:       CVE-2008-0883
Security:       http://www.adobe.com/support/security/bulletins/apsb08-15.html
13 Apr 2008 18:36:29
Original commit files touched by this commit  8.1.2
hrs search for other commits by this committer
Update to 8.1.2.  Bug fixes and enhancements can be found at
http://blogs.adobe.com/acroread/2008/02/#a005029:

[General Issues]

* Font caching Issues: Various font caching issues are fixed in Reader
  8.1.2, including the issue of fonts that were configured using
  fontconfig not being picked up by the Reader to render documents
  (reported by Novell).

* Problem with Dual-screen setup (Xinerama mode).: Issue number 4
  listed on the Known Issues page for Reader 8.1.1.

* Document ordering and fullscreen mode: Issue has been fixed in
  Reader 8.1.2.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
04 Jan 2008 20:22:56
Original commit files touched by this commit  8.1.1
hrs search for other commits by this committer
Add Adobe Reader 8.1.1 and localized versions (total 15
languages).  Changes from 7.x include:

User Interface:

 * New improved UI with more real-estate in terms of page view
   space. Only the most commonly used tools are present in the
   toolbar by default (and the toolbar can be customized by the
   user according to his/her own preference.)

 * Sleek design and new stylish user interface
   elements (including toolbars, navigation tabs, panes, etc.)
   for a more rich user experience.

 * Improved launch time and overall performance. Less waiting,
(Only the first 15 lines of the commit message are shown above View all of this commit message)

Number of commits found: 13

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
apache22Jul 24
apache22-event-mpmJul 24
apache22-itk-mpmJul 24
apache22-peruser-mpmJul 24
apache22-worker-mpmJul 24
firefoxJul 23
firefox-develJul 23
firefox-esrJul 23
firefox10Jul 23
firefox15Jul 23
firefox3Jul 23
firefox3-develJul 23
firefox35Jul 23
firefox36Jul 23
linux-firefoxJul 23

10 vulnerabilities affecting 31 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds


Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24407
Broken 180
Deprecated 869
Ignore 515
Forbidden 16
Restricted 263
No CDROM 102
Vulnerable 27
Expired 1
Set to expire 856
Interactive 13
new 24 hours 2
new 48 hours3
new 7 days15
new fortnight47
new month104

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.